Package org.apache.tools.ant.taskdefs.optional.junitlauncher

## Class InVMExecution

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.junitlauncher.InVMExecution

- All Implemented Interfaces:
    `TestExecutionContext`

      public class InVMExecution
      extends java.lang.Object
      implements TestExecutionContext

  Used during in-vm (non-forked mode) launching of tests

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InVMExecution​(JUnitLauncherTask task)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Optional<Project>` | `getProject()` |
    `java.util.Properties` | `getProperties()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InVMExecution

          public InVMExecution​(JUnitLauncherTask task)

  - ### Method Detail

    - #### getProperties

          public java.util.Properties getProperties()

      Specified by:
        `getProperties` in interface `TestExecutionContext`
      Returns:
        Returns the properties that were used for the execution of the test

    - #### getProject

          public java.util.Optional<Project> getProject()

      Specified by:
        `getProject` in interface `TestExecutionContext`
      Returns:
        Returns the `Project` in whose context the test is being executed. The `Project` is sometimes not available, like in the case where the test is being run in a forked mode, in such cases this method returns `an empty value`